package com.eactive.eai.rms.onl.manage.useDate;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;

/**
 * 오류코드 관련 Dao 클래스입니다.
 * 
 * @author  : $Author: 박기섭 $
 * @version : $Revision: 1.2 $
 */
@Repository("useDateControlDao")
@SuppressWarnings("unchecked")
public class UseDateControlDao extends SqlMapClientTemplateDao {


    public List selectList(HashMap param) throws Exception {
    	return template.queryForList("UseDateControl.selectList",param);
    }
    public int selectListCount(HashMap param) throws Exception {
    	return (Integer)template.queryForObject("UseDateControl.selectListCount",param);
    }
    public HashMap selectDetail(HashMap param) throws Exception {
    	return (HashMap)template.queryForObject("UseDateControl.selectDetail",param);
    }
    public void merge(HashMap param)
    {
    	template.queryForList("UseDateControl.merge", param);
    }
    
    public void delete(HashMap param)
    {
    	template.queryForList("UseDateControl.delete", param);
    }
    
}
